Page MenuHomePhabricator

Fix `arc` issues with non-English systems
AcceptedPublic

Authored by epriestley on Jul 13 2014, 6:43 PM.

Details

Summary

Fixes T5554. I can't get any of this stuff running in non-English, but I'll get some people reporting this issue to try it out.

Test Plan

seems to work idk??

Diff Detail

Repository
rARC Arcanist
Branch
lcall
Lint
Lint OK
Unit
Unit Tests OK
Build Status
Buildable 1702
Build 1703: [Placeholder Plan] Wait for 30 Seconds

Event Timeline

epriestley updated this revision to Diff 23816.Jul 13 2014, 6:43 PM
epriestley retitled this revision from to Fix `arc` issues with non-English systems.
epriestley updated this object.
epriestley edited the test plan for this revision. (Show Details)
epriestley added a reviewer: btrahan.
epriestley updated this revision to Diff 23839.Jul 15 2014, 4:38 PM
  • Try using LANG instead.
  • Consolidate LANG logic from svn commit.
  • Fix an issue with passthru commands.
epriestley updated this revision to Diff 23844.Jul 15 2014, 9:10 PM
  • Don't set LANG for passthru commands.
btrahan accepted this revision.Jul 17 2014, 10:31 PM
btrahan edited edge metadata.

haha, <3 the testplan

This revision is now accepted and ready to land.Jul 17 2014, 10:31 PM

This doesn't break anything for English users but I'm waiting on confirmation from a non-English user that it solves something. It's way cleaner overall regardless, but it would be nice to fix this issue too. :P

kugel- added a subscriber: kugel-.Mar 7 2016, 1:55 PM

@epriestley this change works for us in de_DE locales. It would be nice if this was merged.